From 5b2853ad3c30b95452b14ed1256b1d13ea3fde55 Mon Sep 17 00:00:00 2001
From: sajolida <sajolida@pimienta.org>
Date: Sat, 17 Nov 2018 17:32:09 +0000
Subject: [PATCH] Allow computing analytics on people switching devices during
 installation (#16010)

---
 templates/website/nginx/rewrite_rules.conf.erb | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/templates/website/nginx/rewrite_rules.conf.erb b/templates/website/nginx/rewrite_rules.conf.erb
index 03f612b..904d580 100644
--- a/templates/website/nginx/rewrite_rules.conf.erb
+++ b/templates/website/nginx/rewrite_rules.conf.erb
@@ -88,16 +88,24 @@ rewrite ^/found_a_problem/?$ /support/found_a_problem permanent;
 rewrite ^/gdm/?$ /support/known_issues/graphics permanent;
 rewrite ^/git/?$ /contribute/git permanent;
 rewrite ^/GnuPG_key/?$ /doc/about/openpgp_keys permanent;
+rewrite ^/install/clone/back?$ "/install/clone/#back" permanent;
 rewrite ^/install/os/?$ /install permanent;
 rewrite ^/install/debian/clone/overview/?$ /install/debian/clone-overview permanent;
+rewrite ^/install/debian/usb/back?$ "/install/debian/usb/#back" permanent;
 rewrite ^/install/debian/usb/overview/?$ /install/debian/usb-overview permanent;
+rewrite ^/install/expert/usb/back?$ "/install/expert/usb/#back" permanent;
 rewrite ^/install/expert/usb/overview/?$ /install/expert/usb-overview permanent;
 rewrite ^/install/linux/clone/overview/?$ /install/linux/clone-overview permanent;
+rewrite ^/install/linux/usb/back?$ "/install/linux/usb/#back" permanent;
 rewrite ^/install/linux/usb/overview/?$ /install/linux/usb-overview permanent;
+rewrite ^/install/mac/clone/back?$ "/install/mac/clone/#back" permanent;
 rewrite ^/install/mac/clone/overview/?$ /install/mac/clone-overview permanent;
+rewrite ^/install/mac/dvd/back?$ "/install/mac/dvd/#back" permanent;
 rewrite ^/install/mac/dvd/overview/?$ /install/mac/dvd-overview permanent;
+rewrite ^/install/mac/usb/back?$ "/install/mac/usb/#back" permanent;
 rewrite ^/install/mac/usb/overview/?$ /install/mac/usb-overview permanent;
 rewrite ^/install/win/clone/overview/?$ /install/win/clone-overview permanent;
+rewrite ^/install/win/usb/back?$ "/install/win/usb/#back" permanent;
 rewrite ^/install/win/usb/overview/?$ /install/win/usb-overview permanent;
 rewrite ^/install/download/openpgp/?$ "/install/download#openpgp" permanent;
 rewrite ^/install/vm/?$ /doc/advanced_topics/virtualization permanent;
@@ -989,6 +997,8 @@ rewrite ^/todo/fix_documentation_for_ISO_verification_on_Windows https://redmine
 rewrite ^/todo/think_about_tordate_htpdate_changes https://redmine.tails.boum.org/code/issues/5424 permanent;
 rewrite ^/todo/include_arm https://redmine.tails.boum.org/code/issues/5884 permanent;
 rewrite ^/todo/add_virtualbox_host_software https://redmine.tails.boum.org/code/issues/5606 permanent;
+rewrite ^/upgrade/clone/back?$ "/upgrade/clone/#back" permanent;
 rewrite ^/upgrade/clone/overview/?$ /upgrade/clone-overview permanent;
+rewrite ^/upgrade/tails/back?$ "/upgrade/tails/#back" permanent;
 rewrite ^/upgrade/tails/overview/?$ /upgrade/tails-overview permanent;
 rewrite ^/wishlist/?$ /contribute/working_together/Redmine permanent;
-- 
2.11.0

